Bug 1623919 - [RFE] rebase latest linuxptp with latest features in RHEL7
Summary: [RFE] rebase latest linuxptp with latest features in RHEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linuxptp
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Yalin.Li
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks: 1663257 1630905 1630913
TreeView+ depends on / blocked
 
Reported: 2018-08-30 12:52 UTC by Yaniv Ferszt
Modified: 2019-08-06 13:10 UTC (History)
8 users (show)

Fixed In Version: linuxptp-2.0-1.el7
Doc Type: Enhancement
Doc Text:
.`linuxptp` rebased to version 2.0 The `linuxptp` packages have been upgraded to upstream version 2.0, which provides a number of bug fixes and enhancements over the previous version. The most notable features are as follows: * Support for unicast messaging has been added * Support for telecom G.8275.1 and G.8275.2 profiles has been added * Support for the NetSync Monitor (NSM) protocol has been added * Implementation of transparent clock (TC) has been added
Clone Of:
Environment:
Last Closed: 2019-08-06 13:10:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3598401 None None None 2018-08-30 15:00:38 UTC
Red Hat Product Errata RHEA-2019:2246 None None None 2019-08-06 13:10:21 UTC

Description Yaniv Ferszt 2018-08-30 12:52:57 UTC
RFE REQUEST:
-----------

1. Proposed title of this feature request
- rebase latest linuxptp with latest features in RHEL7



3. What is the nature and description of the request?
- Our Customer needs the latest linuxptp with latest features in RHEL7 to be able to "This feature "PTP monitoring" enables accuracy monitoring of the environment. If it is not available, there is a limited sight to the correlated accuracy of connected devices."

4. Why does the customer need this? (List the business requirements here)
- This feature "PTP monitoring" enables accuracy monitoring of the environment. If it is not available, there is a limited sight to the correlated accuracy of connected devices.

5. How would the customer like to achieve this? (List the functional requirements here)
- rebase latest linuxptp with latest features in RHEL7

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
- provide a test package to the Customer

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
no

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
- RHEL 7
- We would be happy to have a RedHat supported version 1.9.2 or better 2.x of linuxptp available as of the next 2-3 months

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
linuxptp

11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 8 Yalin.Li 2019-04-10 08:51:34 UTC
Verified.

[root@hp-dl388g8-10 ~]# uname -r
3.10.0-1034.el7.x86_64
[root@hp-dl388g8-10 ~]# yum info linuxptp
This system is not registered with an entitlement server. You can use subscription-manager to register.
Installed Packages
Name        : linuxptp
Arch        : x86_64
Version     : 2.0
Release     : 2.el7
Size        : 594 k
Repo        : installed
From repo   : beaker-Server
Summary     : PTP implementation for Linux
URL         : http://linuxptp.sourceforge.net/
License     : GPLv2+
Description : This software is an implementation of the Precision Time Protocol (PTP)
            : according to IEEE standard 1588 for Linux. The dual design goals are to provide
            : a robust implementation of the standard and to use the most relevant and modern
            : Application Programming Interfaces (API) offered by the Linux kernel.
            : Supporting legacy APIs and other platforms is not a goal.

[root@hp-dl388g8-10 ~]# ptp4l -v
2.0
[root@hp-dl388g8-10 ~]# phc2sys -v
2.0

Comment 12 Yalin.Li 2019-06-19 06:47:55 UTC
All ptp cases have been executed. No anything unexpected.
https://beaker.engineering.redhat.com/jobs/3614671
https://beaker.engineering.redhat.com/jobs/3613271

Comment 13 Yalin.Li 2019-07-05 02:32:15 UTC
MT27800_100G(mlx5_core):
              maxOffset    minOffset     rmsOffset      maxDelay     minDelay     rmsDelay
  Ptp4l             40            0            10           136           114          125
Phc2sys             89            0            10           517           333          424
the max estimated error is 569

XL710_40G(i40e):  
               maxOffset   minOffset     rmsOffset      maxDelay     minDelay     rmsDelay
  Ptp4l             11             0             1           280          278          279
Phc2sys             73             0            10           706          485          635
the max estimated error is 925

Comment 15 errata-xmlrpc 2019-08-06 13:10:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2246


Note You need to log in before you can comment on or make changes to this bug.